<template>
  <div class="text-center">
    <h1 class="mb-8">Choose type of request</h1>ID :
    <el-input-number
      v-model="user_id"
      class="mr-[50px]"
      :min="1"
      placeholder="Please input your ID"
      @change="changeUserID"
    />

    <el-select v-model="typeOfRequest" class="m-2" placeholder="Select" size="large">
      <el-option label="Order" value="create" />

      <el-option label="Delivery" value="deliver" />
    </el-select>

    <el-button type="primary" @click="chooseTypeOfRequest">Go on</el-button>

    <el-button type="primary" @click="goToAllRequests">All Request</el-button>

    <el-button type="primary" @click="goToMyRequests">My Requests</el-button>
  </div>
</template>

<script>
export default {
  name: 'SelectRequest',

  data () {
    return {
      typeOfRequest: '',

      user_id: 1
    }
  },

  created () {
    if (!localStorage.getItem('USER_ID')) {
      localStorage.setItem('USER_ID', this.user_id.toString())
    }

    console.log(localStorage.getItem('USER_ID'))

    this.user_id = +localStorage.getItem('USER_ID')
  },

  methods: {
    changeUserID () {
      localStorage.setItem('USER_ID', this.user_id.toString())

      console.log(localStorage.getItem('USER_ID'))
    },

    chooseTypeOfRequest () {
      if (this.typeOfRequest === 'create') {
        this.$router.push({
          name: 'create',

          query: {
            ...this.$route.query
          }

        })
      } else if (this.typeOfRequest === 'deliver') {
        this.$router.push({
          name: 'deliver',

          query: {
            ...this.$route.query
          }
        })
      } else {
        alert('You have to choose which type of order do you want to execute')
      }
    },

    goToAllRequests () {
      this.$router.push({
        name: 'requests',

        query: {
          ...this.$route.query
        }
      })
    },

    goToMyRequests () {
      this.$router.push({ path: `${this.user_id}/my-requests` })
    }
  }
}
</script>
